aboutsummaryrefslogtreecommitdiffstats
path: root/main/mrtg/mrtg.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-17 17:42:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-17 17:42:31 +0000
commitbcebf7b2dd8a48c9c230fc38b7a737a103b124a9 (patch)
tree77538c9c362b68ee8c0e98a792a751a77ade45f5 /main/mrtg/mrtg.initd
parent0c2779ec9918d3df93899b2488c5f965ef0b654b (diff)
downloadaports-bcebf7b2dd8a48c9c230fc38b7a737a103b124a9.tar.bz2
aports-bcebf7b2dd8a48c9c230fc38b7a737a103b124a9.tar.xz
main/mrtg: moved from testing
Diffstat (limited to 'main/mrtg/mrtg.initd')
-rw-r--r--main/mrtg/mrtg.initd53
1 files changed, 53 insertions, 0 deletions
diff --git a/main/mrtg/mrtg.initd b/main/mrtg/mrtg.initd
new file mode 100644
index 0000000000..31adb2cf0a
--- /dev/null
+++ b/main/mrtg/mrtg.initd
@@ -0,0 +1,53 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/mrtg/files/mrtg.rc,v 1.7 2007/04/19 19:08:08 cedk Exp $
+
+depend() {
+ need net
+
+ # if monitoring snmp variables on this machine:
+ # use net-snmpd
+}
+
+checkconfig() {
+ if ! [ -f "${MRTG_CONF} ]; then
+ eerror "Please create ${MRTG_CONF} (try man cfgmaker)"
+ return 1
+ fi
+
+ mrtg --check ${MRTG_CONF}
+ return $?
+}
+
+start() {
+ # mrtg will not run if LANG=*utf8
+ # use grep instead of bash regexp for bug #159786
+ echo $LANG | grep -q -E '((^[A-Za-z0-9\_\@\-]+\.)|(^))([uU][tT][fF]-?8)$' && LANG='C'
+
+ checkconfig || return $?
+
+ # enable logging?
+ [ -n "${MRTG_LOG}" ] && \
+ MRTG_OPTS="${MRTG_OPTS} --logging ${MRTG_LOG}"
+
+ # run as a different user?
+ [ -n "${MRTG_USER}" ] && \
+ MRTG_OPTS="${MRTG_OPTS} --user ${MRTG_USER}"
+
+ # run as a different group?
+ [ -n "${MRTG_GROUP}" ] && \
+ MRTG_OPTS="${MRTG_OPTS} --group ${MRTG_GROUP}"
+
+ ebegin "Starting mrtg"
+ start-stop-daemon --start --quiet --pidfile ${MRTG_PID} --name mrtg\
+ --exec /usr/bin/mrtg -- --daemon --pid-file=${MRTG_PID} \
+ ${MRTG_OPTS} ${MRTG_CONF} >/dev/null
+ eend $? "Failed to start mrtg"
+}
+
+stop() {
+ ebegin "Stopping mrtg"
+ start-stop-daemon --stop --quiet --pidfile ${MRTG_PID}
+ eend $? "Failed to stop mrtg"
+}